EnTT: entt::basic_organizer< Registry >::vertex Struct Reference

EnTT 3.15.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
entt::basic_organizer< Registry >::vertex Struct Reference

Vertex type of a task graph defined as an adjacency list. More...

`#include <organizer.hpp>`

## Public Member Functions
| vertex (vertex_data data, std::vector< std::size_t > from, std::vector< std::size_t > to)
| Constructs a vertex of the task graph.
size_type | ro_dependency (const type_info **buffer, const std::size_t length) const noexcept
| Fills a buffer with the type info objects for the writable resources of a vertex.
size_type | rw_dependency (const type_info **buffer, const std::size_t length) const noexcept
| Fills a buffer with the type info objects for the read-only resources of a vertex.
size_type | ro_count () const noexcept
| Returns the number of read-only resources of a vertex.
size_type | rw_count () const noexcept
| Returns the number of writable resources of a vertex.
bool | top_level () const noexcept
| Checks if a vertex is also a top-level one.
const type_info & | info () const noexcept
| Returns a type info object associated with a vertex.
const char * | name () const noexcept
| Returns a user defined name associated with a vertex, if any.
function_type * | callback () const noexcept
| Returns the function associated with a vertex.
const void * | data () const noexcept
| Returns the payload associated with a vertex, if any.
const std::vector< std::size_t > & | in_edges () const noexcept
| Returns the list of in-edges of a vertex.
const std::vector< std::size_t > & | out_edges () const noexcept
| Returns the list of out-edges of a vertex.
void | prepare (registry_type &reg) const
| Prepares a registry and assures that all required resources are properly instantiated before using them.

## Detailed Description

template<typename Registry>
struct entt::basic_organizer< Registry >::vertex

Vertex type of a task graph defined as an adjacency list.

Definition at line 190 of file organizer.hpp.

## Constructor & Destructor Documentation

## ◆ vertex()

template<typename Registry>

entt::basic_organizer< Registry >::vertex::vertex | ( | vertex_data | data,
|  | std::vector< std::size_t > | from,
|  | std::vector< std::size_t > | to )
| inline

Constructs a vertex of the task graph.

Parameters

  data | The data associated with the vertex.
  from | List of in-edges of the vertex.
  to | List of out-edges of the vertex.

Definition at line 197 of file organizer.hpp.

## Member Function Documentation

## ◆ callback()

template<typename Registry>

function_type * entt::basic_organizer< Registry >::vertex::callback | ( |  | ) | const
| inlinenodiscardnoexcept

Returns the function associated with a vertex.

Returns
  The function associated with the vertex.

Definition at line 268 of file organizer.hpp.

## ◆ data()

template<typename Registry>

const void * entt::basic_organizer< Registry >::vertex::data | ( |  | ) | const
| inlinenodiscardnoexcept

Returns the payload associated with a vertex, if any.

Returns
  The payload associated with the vertex, if any.

Definition at line 276 of file organizer.hpp.

## ◆ in_edges()

template<typename Registry>

const std::vector< std::size_t > & entt::basic_organizer< Registry >::vertex::in_edges | ( |  | ) | const
| inlinenodiscardnoexcept

Returns the list of in-edges of a vertex.

Returns
  The list of in-edges of a vertex.

Definition at line 284 of file organizer.hpp.

## ◆ info()

template<typename Registry>

const type_info & entt::basic_organizer< Registry >::vertex::info | ( |  | ) | const
| inlinenodiscardnoexcept

Returns a type info object associated with a vertex.

Returns
  A properly initialized type info object.

Definition at line 252 of file organizer.hpp.

## ◆ name()

template<typename Registry>

const char * entt::basic_organizer< Registry >::vertex::name | ( |  | ) | const
| inlinenodiscardnoexcept

Returns a user defined name associated with a vertex, if any.

Returns
  The user defined name associated with the vertex, if any.

Definition at line 260 of file organizer.hpp.

## ◆ out_edges()

template<typename Registry>

const std::vector< std::size_t > & entt::basic_organizer< Registry >::vertex::out_edges | ( |  | ) | const
| inlinenodiscardnoexcept

Returns the list of out-edges of a vertex.

Returns
  The list of out-edges of a vertex.

Definition at line 292 of file organizer.hpp.

## ◆ prepare()

template<typename Registry>

void entt::basic_organizer< Registry >::vertex::prepare | ( | registry_type & | reg | ) | const
| inline

Prepares a registry and assures that all required resources are properly instantiated before using them.

Parameters

  reg | A valid registry.

Definition at line 301 of file organizer.hpp.

## ◆ ro_count()

template<typename Registry>

size_type entt::basic_organizer< Registry >::vertex::ro_count | ( |  | ) | const
| inlinenodiscardnoexcept

Returns the number of read-only resources of a vertex.

Returns
  The number of read-only resources of the vertex.

Definition at line 228 of file organizer.hpp.

## ◆ ro_dependency()

template<typename Registry>

size_type entt::basic_organizer< Registry >::vertex::ro_dependency | ( | const type_info ** | buffer,
|  | const std::size_t | length ) const
| inlinenodiscardnoexcept

Fills a buffer with the type info objects for the writable resources of a vertex.

Parameters

  buffer | A buffer pre-allocated by the user.
  length | The length of the user-supplied buffer.

Returns
  The number of type info objects written to the buffer.

Definition at line 209 of file organizer.hpp.

## ◆ rw_count()

template<typename Registry>

size_type entt::basic_organizer< Registry >::vertex::rw_count | ( |  | ) | const
| inlinenodiscardnoexcept

Returns the number of writable resources of a vertex.

Returns
  The number of writable resources of the vertex.

Definition at line 236 of file organizer.hpp.

## ◆ rw_dependency()

template<typename Registry>

size_type entt::basic_organizer< Registry >::vertex::rw_dependency | ( | const type_info ** | buffer,
|  | const std::size_t | length ) const
| inlinenodiscardnoexcept

Fills a buffer with the type info objects for the read-only resources of a vertex.

Parameters

  buffer | A buffer pre-allocated by the user.
  length | The length of the user-supplied buffer.

Returns
  The number of type info objects written to the buffer.

Definition at line 220 of file organizer.hpp.

## ◆ top_level()

template<typename Registry>

bool entt::basic_organizer< Registry >::vertex::top_level | ( |  | ) | const
| inlinenodiscardnoexcept

Checks if a vertex is also a top-level one.

Returns
  True if the vertex is a top-level one, false otherwise.

Definition at line 244 of file organizer.hpp.

The documentation for this struct was generated from the following file:

- src/entt/entity/organizer.hpp